<table aria-describedby="Manage Company" class="table table-bordered">
  <thead>
    <tr *ngIf='customer_app'>
      <th scope="col" colspan="2" style="text-align: center;">Reassign Order</th>
    </tr>
    <tr>
      <th scope="col">Label</th>
      <th scope="col">Value</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>ORDER ID</td>
      <td>{{orderInfo.unique_order_id}}</td>
    </tr>
    <tr>
      <td>CUSTOMER NAME</td>
      <td>{{orderInfo.user_id?orderInfo.user_id.firstname:'NA'}}</td>
    </tr>
    <tr>
      <td>CUSTOMER PHONE NUMBER</td>
      <td>{{orderInfo.user_id?orderInfo.user_id.phone_number:'NA'}}</td>
    </tr>
    <tr *ngIf='customer_app'>
      <td>BOOKED VEHICLE CATEGORY</td>
      <td>{{orderInfo.vehicle_category_ids.length>0?orderInfo.vehicle_category_ids[0].name:'NA'}}</td>
    </tr>
    <tr>
      <td>MESSAGE</td>
      <td>{{orderInfo.message?orderInfo.message:'NA'}}</td>
    </tr>
    <tr>
      <td>START ADDRESS</td>
      <td> {{orderInfo.pickup_location}} </td>
    </tr>
    <tr>
      <td>DROP ADDRESS</td>
      <td> {{orderInfo.drop_location}} </td>
    </tr>
    <tr *ngIf="this.orderInfo.tariff_id && this.orderInfo.tariff_id._id=='5b9e11e5eb5b0211b4156e27'">
      <td>Price</td>
      <td>
        <input type="text" class="form-control" numbervalidator pattern="^[1-9]\d*(\.\d+)?$" placeholder="Price"
          name="price" #total_usage_count="ngModel" [(ngModel)]="orderInfo.price" required>
        <div class="error-msg" *ngIf="total_usage_count.errors">
          <div [hidden]="!total_usage_count.errors.required">Price is required.</div>
          <ng-container *ngIf="orderInfo.generate_by !='delivery'">
            <div [hidden]="!total_usage_count.errors.pattern">Price should be more than 0 and a number.
            </div>
          </ng-container>
        
        </div>
      </td>
    </tr>
    <tr *ngIf='customer_app'>
      <td>
        SEARCH VEHICLE CATEGORY
      </td>
      <td>
        <div class="col-sm-10 form-input">
          <mat-form-field>
            <mat-select class="form-control" [formControl]="vehicle_category" name="vehicle_category" multiple
              [(ngModel)]="categorylist">
              <mat-option *ngFor="let category of CategoryData" [value]="category.unique_category_id">
                {{ category.name }}</mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </td>
    </tr>
    <tr>
      <td colspan="2">
        <div class="fm-row">
          <div class="col-md-6">
            <label>vehicle
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <mat-form-field>
              <input type="text " class="form-control" matInput [formControl]="vehicleCtrl" [matAutocomplete]="autov"
                [(ngModel)]="vehicle" style="border:1px solid #C1C1C1">
              <mat-autocomplete #autov="matAutocomplete" [displayWith]="displayFnvehicle">
                <mat-option *ngFor="let item of vehicleData" (onSelectionChange)="OnSelectVehicle($event)"
                  [value]="item">
                  <div class="option-otr">
                    <div class="option_span"><strong>Vehicle unique id :</strong>{{ item.vehicle_unique_id }} </div>
                    <div class="option_span"><strong>License :</strong>{{ item.licence_number }} </div>
                    <div class="option_span"><strong>Side Number :</strong>{{ item.vehicle_identity_number }} </div>
                    <div class="option_span"><strong>Display Name :</strong>{{ item.display_name }} </div>
                    <div class="option_span" *ngIf="item.t4 && item.t4[0]=='1'">
                      <strong>Vehicle category :</strong> DTC Energy
                    </div>
                    <div class="option_span" *ngIf="item.t4 && item.t4[0]=='2'">
                      <strong>Vehicle category :</strong> DTC Black
                    </div>
                    <div class="option_span" *ngIf="item.t4 && item.t4[0]=='3'">
                      <strong>Vehicle category :</strong> DTC Black XL
                    </div>
                  </div>
                </mat-option>
              </mat-autocomplete>
            </mat-form-field>
          </div>

          <div class="col-md-6">
            <label>Driver
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <mat-form-field>
              <input type="text" class="form-control" matInput [formControl]="driverCtrl" [matAutocomplete]="autodriver"
                [(ngModel)]="driver" style="border:1px solid #C1C1C1">
              <mat-autocomplete #autodriver="matAutocomplete" [displayWith]="displayFnDriver">
                <mat-option *ngFor="let item of driverData" (onSelectionChange)="OnSelectDriver($event)" [value]="item">
                  <div class="option-otr">
                    <div class="option_span">
                      <strong> Username:</strong> {{ item.username }}</div>
                    <div class="option_span">
                      <strong>Name:</strong>{{ item.name }} &nbsp;{{ item.surname }}</div>
                    <div class="option_span">
                      <strong>Display Name:</strong>{{ item.display_name }}</div>
                    <div class="option_span">
                      <strong>vehicle Plate:</strong>{{ item.vehicle_id? item.vehicle_id.vehicle_identity_number
                            :'N/A' }}</div>
                    <div class="option_span">
                      <strong>Device Id:</strong>{{ item.device_id ? item.device_id.unique_device_id :'N/A'}}</div>
                    <div class="option_span" *ngIf="item.t4 && item.t4[0]=='1'">
                      <strong>Vehicle category :</strong> DTC Energy
                    </div>
                    <div class="option_span" *ngIf="item.t4 && item.t4[0]=='2'">
                      <strong>Vehicle category :</strong> DTC Black
                    </div>
                    <div class="option_span" *ngIf="item.t4 && item.t4[0]=='3'">
                      <strong>Vehicle category :</strong> DTC Black XL
                    </div>
                  </div>
                </mat-option>
              </mat-autocomplete>
            </mat-form-field>
          </div>
        </div>
      </td>
    </tr>
  </tbody>
</table>
<div class="pop-btn text-right">
  <span class="error-msg">{{message}}</span>
  <button class="btn btn-primary close-btn" type="submit" (click)="saveReassignOrder()">Save</button>
  <button class="btn btn-default close-btn" type="button" (click)="closePop()">Cancel</button>
</div>